﻿using System.Collections;
using System.Collections.Generic;
using System.IO;
using System;
using UnityEngine;
using UnityEngine.Events;
using System.Globalization;


namespace Mod
{
    public class Mod : MonoBehaviour
    {
        
        public static void Main()
        {
            ModAPI.FindSpawnable("Android").Prefab.GetComponent<PersonBehaviour>().RandomisedSize = false; // incase you have the Android with Randomized Height mod i made
             //everything else here is just so you can pick the sizes
            ModAPI.RegisterPower<AndroidSizeChange>(
                "Change Android Size",
                "Allows you to set the desired spawn size of androids.",
                ModAPI.LoadSprite("PowerThumb.png")
                );

        }
    }
    public class AndroidSizeChange : ToolBehaviour
    {
        public override void OnToolChosen()
        {
            DialogBox boxx = (DialogBox)null;
            DialogButton buttons; {
                new DialogButton("Ok", true);
            };
            boxx = DialogBoxManager.TextEntry("Android Size", "1", new DialogButton[] { new DialogButton("Ok", true, (UnityAction)(() => Change(boxx))) });
            void Change(DialogBox dBox)
            {
                ModAPI.FindSpawnable("Android").Prefab.transform.localScale = new Vector3(Convert.ToSingle(dBox.EnteredText), Convert.ToSingle(dBox.EnteredText));
            }
        }
        public override void OnToolUnchosen()
        {
            //ModAPI.FindSpawnable("Android").Prefab.transform.localScale = new Vector3(androidSize, androidSize);
        }

        public override void OnSelect()
        {
            //Gets invoked when an object is selected while this tool is equipped
        }

        public override void OnHold()
        {
            //Gets invoked for every frame an object is held while this tool is equipped
        }

        public override void OnFixedHold()
        {
            //Gets invoked for every FixedUpdate an object is held while this tool is equipped
        }

        public override void OnDeselect()
        {
            //Gets invoked when an object is deselected while this tool is equipped
        }
    }
 
}